# RSClasses
Classes for ROUNDS that leverage unique mechanics.

## Card List:

<details open>
<summary>Astronomer</summary>
<br>

### Astronomer
[Common Class]
Uses orbiting objects to fend off foes
- +2 Scythes
- +2 Shields
- -25% Damage

### Domain Extension
[Common]
Increases the size of orbitals and their orbits
- +1 Orbital size
- -25% Scythe damage

### Faster Barriers
[Common]
Increases the speed of barriers
- +100% Barrier speed
- +0.25s Block cooldown

### Gravity Well
[Uncommon]
Increases the speed of orbitals
- +25% Speed
- +100% Orbital speed
- -25% Health

### Sharper Scythes
[Uncommon]
- +50% Scythe damage
- -25% Damage

### Dual Shields
[Common]
- +2 Shields
- +0.5s Block cooldown

### Twin Scythes
[Common]
- +2 Scythes
- -50% Damage

### Guardian
[Uncommon Subclass]
*Requires Dual Shields and Twin Scythes*
Stalwart Defenders. Their barriers defend them from all bullets
- +4 Barriers
- +50% Health
- +4 Shield size
- -4 Scythes

### Perfect Guard
[Rare]
*Requires Guardian*
An inpenetrable ring of light
- +8 Barriers
- +2 Shield size

### Harvester
[Uncommon Subclass]
*Requires Dual Shields and Twin Scythes*
Reapers of souls. Defense is not their concern. Their scythes don't cut through bullets
- +4 Scythes
- +100% Rotation speed
- -4 Barriers

### Dark Harvest
[Rare]
*Requires Harvester*
A horrifying sight to behold
- +100% Scythe damage
- +25% Lifesteal
</details>

<details open>
<summary>
Patch Notes:
</summary>
<br>

<details open>
<summary>
1.2.5
</summmary>
<br>
- Disabled some unused code
</details>

<details open>
<summary>
1.2.3
</summmary>
<br>
- Forced orbitals to be removed on game end. Removing Astronomer will cause issues until a proper fix is found
</details>

<details open>
<summary>
1.2.1
</summmary>
<br>
- Reduced scythe knockback
</details>

<details open>
<summary>
1.2.0
</summmary>
<br>
- Changed wording from "Shield" to "Barrier"
</details>

<details open>
<summary>
1.1.0
</summmary>
<br>
- Scythes not cutting bullets has been moved from Harvester to a base trait
- Base scythe speed increased 100 -> 300
- Base scythe damage decreased 55 -> 25
- Base shield speed decreased 200 -> 100
- Fixed issues with cards involving race conditions
- Dark Harvest now gives 50% -> 100% scythe damage and 50% -> 0% scythe speed
- Sharper Scythes now gives 75% -> 50% scythe damage
</details>

<details open>
<summary>
1.0.0
</summmary>
<br>
- Added Astronomer Class
</details>
</details>